This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 850930 - package install fails on consumer with No handler error
package install fails on consumer with No handler error
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 851330
  Show dependency treegraph
 
Reported: 2012-08-22 15:13 EDT by Preethi Thomas
Modified: 2013-04-23 05:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 851330 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:09:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-22 15:13:44 EDT
Description of problem:
Package install seems to be failing on consumer

Version-Release number of selected component (if applicable):
[root@pulp-candidate ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.1-1.fc17.noarch


How reproducible:


Steps to Reproduce:
1. create a repo
2. register a consumer and bind the repo
3. try to install a package on the consumer
  
Actual results:

root@pulp-candidate ~]# pulp-admin consumer package install -n unsigned --consumer-id=fred
Install task created with id [e34646dc-ec8b-11e1-acfa-5452003c7b52]

This command may be exited via ctrl+c without affecting the install.

Install failed

No handler for: {'type': 'rpm'}


Expected results:


Additional info:

2012-08-22 15:08:13,344 20530:139672630044416: gofer.rmi.policy:INFO: policy:364 sent (fred):
{'classname': 'Content', 'kws': {}, 'args': ([{u'unit_key': {u'name': u'unsigned'}, u'type_id': u'rpm'}], {u'apply': True, u'reboot': False, u'importkeys': False}), 'method': 'install', 'cntr': None}
2012-08-22 15:08:13,345 20530:139672630044416: gofer.rmi.async:INFO: async:369 tracking: {'replyto': 'pulp.task;{create:always,node:{type:queue,durable:True,},link:{durable:True,reliability:at-least-once,x-subscribe:{exclusive:True}}}', 'ts': (1345662503.344641, 1345663093.344641), 'any': 'b87bfca3-ec8c-11e1-a245-5452003c7b52', 'idx': 0, 'sn': '5afa0084-a7ff-4f61-b52a-4ab3a524dedb'}
2012-08-22 15:08:13,362 20530:139672873334528: gofer.rmi.async:INFO: async:380 5afa0084-a7ff-4f61-b52a-4ab3a524dedb
2012-08-22 15:08:13,409 20530:139672873334528: gofer.rmi.async:INFO: async:380 5afa0084-a7ff-4f61-b52a-4ab3a524dedb
2012-08-22 15:08:13,410 20530:139672873334528: pulp.server.agent.direct.services:INFO: services:161 Task RMI (succeeded)
Succeeded
  sn : 5afa0084-a7ff-4f61-b52a-4ab3a524dedb
  origin : 906cf37f-7fcc-4174-aff4-154d908eea13
  user data : b87bfca3-ec8c-11e1-a245-5452003c7b52
  retval:
{'status': False, 'chgcnt': 0, 'details': {'rpm': {'status': False, 'details': {'message': "No handler for: {'type': 'rpm'}", 'trace': 'Traceback (most recent call last):\n\n  File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 66, in install\n    handler = self.__handler(typeid, CONTENT)\n\n  File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 307, in __handler\n    raise HandlerNotFound(type=typeid)\n\nHandlerNotFound: No handler for: {\'type\': \'rpm\'}\n'}}}, 'reboot': {'scheduled': False, 'details': {}}}
2012-08-22 15:08:13,410 20530:139672873334528: pulp.server.dispatch.task:INFO: task:148 Task b87bfca3-ec8c-11e1-a245-5452003c7b52: CallRequest: AgentManager.install_content(u'fred', [{u'unit_key': {u'name': u'unsigned'}, u'type_id': u'rpm'}], {u'apply': True, u'reboot': False, u'importkeys': False}) SUCCEEDED
Comment 1 Jeff Ortel 2012-09-04 16:27:34 EDT
The pulp RPM handlers reuse profile reporting provided by python-rhsm.  The pulp-rpm-handlers packages is missing a "Requires: python-rhsm".

Fixed: 38d9606a0d3b2d93de1cec7530c7d9aac8ce14b9.
Comment 2 Jeff Ortel 2012-09-07 13:45:26 EDT
build: 2.0.3.
Comment 3 Preethi Thomas 2012-09-10 16:08:53 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch
[root@pulp-v1-client1 ~]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-2.0.3-1.el6.noarch
[root@pulp-v1-client1 ~]# 

[root@preethi-el6-pulp ~]# pulp-admin consumer package install -n zsh --consumer-id pulp-client
Install task created with id [c0e770a1-fb83-11e1-b0e6-525400c5886c]

This command may be exited via ctrl+c without affecting the install.

[\]
Install Succeeded

+----------------------------------------------------------------------+
                               Installed
+----------------------------------------------------------------------+

Name:    zsh
Version: 4.3.10
Arch:    x86_64
Repoid:  rhel6_2
Comment 4 Preethi Thomas 2013-01-09 12:09:30 EST
Pulp v2.0 released
Comment 5 cristi falcas 2013-04-23 05:59:49 EDT
I got the same error with latest pulp:

[root@oracle2 ~]# pulp-admin rpm consumer package install run --consumer-id oracle5 -n zsh
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin
Install Failed

No handler for: {'type': 'rpm'}

I have rhsm package:

# rpm -qa | grep pulp
python-rhsm-1.8.0-1.pulp.el6.x86_64
python-isodate-0.5.0-1.pulp.el6.noarch
python-oauth2-1.5.170-3.pulp.el6.noarch
pulp-server-2.1.0-0.noarch
python-pulp-rpm-extension-2.1.0-0.noarch
python-pulp-client-lib-2.1.0-0.noarch
pulp-admin-client-2.1.0-0.noarch
pulp-builtins-consumer-extensions-2.1.0-0.noarch
pulp-nodes-common-2.1.0-0.noarch
pulp-nodes-parent-2.1.0-0.noarch
pulp-rpm-consumer-extensions-2.1.0-0.noarch
pulp-rpm-yumplugins-2.1.0-0.noarch
pulp-rpm-handlers-2.1.0-0.noarch
python-pulp-common-2.1.0-0.noarch
m2crypto-0.21.1.pulp-8.el6.x86_64
mod_wsgi-3.4-1.pulp.el6.x86_64
python-pulp-rpm-common-2.1.0-0.noarch
python-pulp-bindings-2.1.0-0.noarch
pulp-builtins-admin-extensions-2.1.0-0.noarch
pulp-consumer-client-2.1.0-0.noarch
python-pulp-agent-lib-2.1.0-0.noarch
pulp-nodes-admin-extensions-2.1.0-0.noarch
pulp-rpm-admin-extensions-2.1.0-0.noarch
pulp-rpm-plugins-2.1.0-0.noarch

Note You need to log in before you can comment on or make changes to this bug.